package cn.com.ty.lift.system.settings.dao.entity.model;

import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 认证企业
 */
@Data
public class ConfirmCompanyResponse {
    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 认证时间
     */
    private LocalDateTime confirmTime;

    /**
     * 团队人数
     */
    private Long teamNum;

    /**
     * 项目数
     */
    private Long projectNum;

    /**
     * 总台量
     */
    private Long totalLiftNum;

    /**
     * 活跃台量
     */
    private Long activeLiftNum;

    /**
     * 停止服务台量
     */
    private Long stopLiftNum;

    /**
     * 维保次数
     */
    private Long maintenanceNum;

    /**
     * 急修次数
     */
    private Long emergencyNum;

    /**
     * 最后活跃时间
     */
    private LocalDateTime lastActiveTime;

    public ConfirmCompanyResponse(){}

    public ConfirmCompanyResponse(MaintenanceCompany maintenanceCompany){
        this.companyName = maintenanceCompany.getName();
        this.teamNum = Long.valueOf(maintenanceCompany.getUserNum());
    }
}
